## gnat-mingw-w64 12.1

=== debian/changelog ===
gnat-mingw-w64 (12.1) unstable; urgency=medium

  * gcc-4.8-source 4.8.2-12 has the correct fix for #734028, so build-
    depend on that and drop the patch from this package.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Jan 2014 22:14:34 +0100

gnat-mingw-w64 (12) unstable; urgency=medium

  * New Ada-specific source-package.
  * The Windows linker doesn't support build ids, stop trying to enable
    them.
  * Copy __gnat_malloc implementation from s-memory.adb in
    s-memory-mingw.adb (Closes: #734028).

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Jan 2014 01:09:57 +0100

gcc-mingw-w64 (11) unstable; urgency=medium

  * Stop building gnat on armhf, it doesn't work currently.
  * Stop installing the plugin development headers, they break the build
    on ia64 and aren't used anywhere.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Jan 2014 08:21:16 +0100

gcc-mingw-w64 (10) unstable; urgency=low

  * Build with gcc 4.8:
    - stringstream ignores _GLIBCXX_DEBUG (Closes: #703935);
    - update debian/copyright using that from gcc-4.8;
    - switch to libcloog-isl-dev.
  * Enable POSIX threads support using winpthreads (Closes: #697220).
  * Enable OpenMP support (Closes: #571773).
  * Drop the transitional gcc-mingw32 package.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Nov 2013 00:04:30 +0100

gcc-mingw-w64 (9) unstable; urgency=low
  
  * Use dpkg-vendor instead of lsb-release; thanks to Didier 'OdyX' Raboud
    for the patch (Closes: #671725).
  * Drop references to mingw-w64-dev (Closes: #726283).
  * Add README.Debian describing the gcc configuration (Closes: #540733).
  * Switch to my Debian address and drop DMUA.
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 Oct 2013 07:22:06 +0200

gcc-mingw-w64 (8) unstable; urgency=low

  * Replace /usr/share/doc/gcc-mingw32 with a symlink when necessary
    (Closes: #690148).
  * Provide amd64 compatibility symlinks in gcc-mingw32, preserving the
    functionality of the Squeeze version (Closes: #695736); add g++
    compatibility symlink (Closes: #682257).

 -- Stephen Kitt <steve@sk2.org>  Wed, 12 Dec 2012 07:30:14 +0100

gcc-mingw-w64 (7) unstable; urgency=low

  * When upgrading from versions where /usr/share/doc/gcc-mingw-w64 is a
    directory, force its replacement with a symlink (Closes: #683617).

 -- Stephen Kitt <steve@sk2.org>  Wed, 08 Aug 2012 08:21:56 +0200

gcc-mingw-w64 (6) unstable; urgency=low

  * Handle the different split-package versions in Ubuntu and Debian.
  * Add transitional "Recommends" so that gcc-mingw-w64 pulls in the
    compilers it used to provide (LP: #992217).
  * Make gcc-mingw32 install compatibility symlinks for binaries and
    manpages formerly provided by mingw32-binutils (LP: #992161).
  * Enable Ada support on armhf and hurd-i386 now that gnat-4.6 is
    available there.

 -- Stephen Kitt <steve@sk2.org>  Sat, 05 May 2012 12:33:32 +0200

gcc-mingw-w64 (5) unstable; urgency=low

  * Add the DMUA flag set by Didier Raboud to the control.source file.
  * Add a warning to the generated debian/control file indicating that
    it shouldn't be modified directly.
  * Fix the version for Breaks/Replaces at 4.6.3-3+4, since this is the
    earliest version of the post-split package in the archive. Fixing
    the version avoids making the package set uninstallable.

 -- Stephen Kitt <steve@sk2.org>  Wed, 18 Apr 2012 15:04:47 +0200

gcc-mingw-w64 (4) unstable; urgency=low

  [ Stephen Kitt ]
  * Split package into gcc, g++, gfortran and gnat packages.
  * Enable the Objective-C and Objective-C++ compilers.
  * Split package into 32- and 64-bit specific versions (-i686 and
    -x86-64) - see thread starting at
    http://lists.debian.org/4EBA730A.7060707@greffrath.com for rationale.
  * Build with gcc-4.6 explicitly, at least until gnat-4.7 is available
    (Closes: #667173).
  * Standards-Version 3.9.3, no change required.
  * Provide a transitional gcc-mingw32 package for backwards-
    compatibility (Closes: #644769); in addition, with regards to bugs
    filed against gcc-mingw32:
    - gcc-mingw-w64's version of mm_malloc.h is correct (Closes: #651300);
    - gcc-mingw-w64 compiles programs (Closes: #658619);
    - gcc-mingw-w64 provides shared versions of libgcc and libstdc++
      (Closes: #540783);
    - the packages' dependency structure ensures that the various compiler
      packages depend on the appropriate development packages (Closes:
      #567698).
  * Update debian/copyright using the version provided by gcc-4.6.

  [ Didier Raboud ]
  * Confidently set the DM-Upload-Allowed flag to yes.

 -- Stephen Kitt <steve@sk2.org>  Mon, 16 Apr 2012 08:46:45 +0200

gcc-mingw-w64 (3) unstable; urgency=low

  * Disable Ada support on armhf and hurd-i386 for now, based on a patch
    by Peter Green (Closes: #658526).
  * Wrap-and-sort debian/control.full.
  * Check before moving libraries, when bootstrapping there is nothing
    to move.
  * Update debian/control.bootstrap with changes made to
    debian/control.full.
  * Add spelling fix for "writting".

 -- Stephen Kitt <steve@sk2.org>  Sun, 12 Feb 2012 23:24:00 +0100

gcc-mingw-w64 (2) unstable; urgency=low

  * Export all relevant flags from dpkg-buildflags; in particular this
    allows building with a stack-protector-enabling compiler (as on
    Ubuntu).

 -- Stephen Kitt <steve@sk2.org>  Mon, 24 Oct 2011 01:18:56 +0200

gcc-mingw-w64 (1) unstable; urgency=low

  * Include Ada support (Closes: #632375). Build-depend on gcc-4.6-source
    4.6.1-5 or later to get the required upstream fixes.
  * Stop trying to ship libiberty, upstream no longer supports it
    (Closes: #634567).
  * Protect intrinsics in C++ code (Closes: #633552).
  * Provide shared versions of DLL-compatible libraries (Closes:
    #625778). The appropriate DLLs may have to be shipped with the

