=== debian/control ===
# This file is generated using debian/rules control, do not edit
Source: gnat-mingw-w64
Section: devel
Priority: extra
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: autotools-dev,
               binutils-mingw-w64 (>= 2.21.51.20110523),
               debhelper (>= 7.0.50~),
               g++-4.8,
               gcc-4.8-source (>= 4.8.2-12),
               gnat-4.8,
               libcloog-isl-dev,
               libelf-dev,
               libgmp-dev,
               libmpc-dev (>= 0.8.0),
               libmpfr-dev (>= 2.3.2),
               mingw-w64-i686-dev (>= 3.0~svn5915),
               mingw-w64-x86-64-dev (>= 3.0~svn5915),
               xz-utils,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.gnu.org/software/gcc/
Vcs-Git: git://anonscm.debian.org/collab-maint/gcc-mingw-w64.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcc-mingw-w64.git;a=summary

Package: gnat-mingw-w64
Architecture: all
Depends: gnat-mingw-w64-i686, gnat-mingw-w64-x86-64, ${misc:Depends}
Built-Using: gcc-4.8 (= ${gcc:Version})
Description: GNU Ada compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Ada compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.

Package: gnat-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (>= ${local:Version}), gcc-mingw-w64-i686 (<< ${local:NextVersion}), gnat-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.8 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version})
Suggests: gcc-4.8-locales (>= ${local:Version})
Description: GNU Ada compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Ada compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.

Package: gnat-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (>= ${local:Version}), gcc-mingw-w64-x86-64 (<< ${local:NextVersion}), gnat-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.8 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version})
Suggests: gcc-4.8-locales (>= ${local:Version})
Description: GNU Ada compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Ada compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.

Package: gnat-mingw-w64-base
Architecture: any
Depends: ${misc:Depends}
Built-Using: gcc-4.8 (= ${gcc:Version})
Description: GNU Ada compiler for MinGW-w64 (base package)
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This empty package contains the documentation common to all
 gnat-mingw-w64 packages.
