## gnat-mingw-w64 14

=== debian/changelog ===
gnat-mingw-w64 (14) unstable; urgency=medium

  * Specify the correct branch in the VCS stanzas.
  * Provide compilers using Windows and POSIX threads. The default setup
    uses Windows threads, thus avoiding the dependency on the pthreads DLL.
  * Use the default exception-handling (SJLJ on 32-bit Windows, SEH on
    64-bit Windows).
  * Drop all non-gnat-relevant packaging.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Jul 2014 20:13:29 +0200

gnat-mingw-w64 (13) unstable; urgency=medium

  * Build with gcc 4.9.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 May 2014 20:39:11 +0200
