=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: autotools-dev,
                binutils-mingw-w64 (>= 2.21.51.20110523),
+               bison,
                debhelper (>= 7.0.50~),
-               g++-4.8,
-               gcc-4.8-source (>= 4.8.2-12),
-               gnat-4.8,
+               flex,
+               g++-4.9,
+               gcc-4.9-source,
+               gnat-4.9,
                libcloog-isl-dev,
                libelf-dev,
                libgmp-dev,
@@ -20,13 +22,13 @@
                zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/gcc/
-Vcs-Git: git://anonscm.debian.org/collab-maint/gcc-mingw-w64.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcc-mingw-w64.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/gcc-mingw-w64.git -b gnat
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcc-mingw-w64.git;a=shortlog;h=refs/heads/gnat
 
 Package: gnat-mingw-w64
 Architecture: all
 Depends: gnat-mingw-w64-i686, gnat-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.8 (= ${gcc:Version})
+Built-Using: gcc-4.9 (= ${gcc:Version})
 Description: GNU Ada compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -40,10 +42,10 @@
 Depends: gcc-mingw-w64-i686 (>= ${local:Version}), gcc-mingw-w64-i686 (<< ${local:NextVersion}), gnat-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.8 (= ${gcc:Version})
+Built-Using: gcc-4.9 (= ${gcc:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.8-locales (>= ${local:Version})
+Suggests: gcc-4.9-locales (>= ${local:Version})
 Description: GNU Ada compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -57,10 +59,10 @@
 Depends: gcc-mingw-w64-x86-64 (>= ${local:Version}), gcc-mingw-w64-x86-64 (<< ${local:NextVersion}), gnat-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.8 (= ${gcc:Version})
+Built-Using: gcc-4.9 (= ${gcc:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.8-locales (>= ${local:Version})
+Suggests: gcc-4.9-locales (>= ${local:Version})
 Description: GNU Ada compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -72,7 +74,7 @@
 Package: gnat-mingw-w64-base
 Architecture: any
 Depends: ${misc:Depends}
-Built-Using: gcc-4.8 (= ${gcc:Version})
+Built-Using: gcc-4.9 (= ${gcc:Version})
 Description: GNU Ada compiler for MinGW-w64 (base package)
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
