## gnat-mingw-w64 15

=== debian/changelog ===
gnat-mingw-w64 (15) unstable; urgency=medium

  * Standards-Version 3.9.6, no change required.
  * Update spelling fixes.
  * Override lintian's hardening warnings, hardening isn't supported
    yet.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jan 2015 07:30:22 +0100
