=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                mingw-w64-x86-64-dev (>= 3.0~svn5915),
                xz-utils,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/gcc/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gcc-mingw-w64.git -b gnat
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcc-mingw-w64.git;a=shortlog;h=refs/heads/gnat
