## gnat-mingw-w64 16

=== debian/changelog ===
gnat-mingw-w64 (16) unstable; urgency=medium

  * Merge changes up to gcc-mingw-w64 16:
    - build with gcc-5 and gnat-5 (Closes: #807857);
    - use base_version for BASE-VER (gcc-5 is actually gcc-5.3.1);
    - disable libatomic, it doesn't build currently.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Dec 2015 22:25:27 +0100

gnat-mingw-w64 (15.1) unstable; urgency=medium

  * Merge changes up to gcc-mingw-w64 15.7:
    - debhelper 9.20150501 fixes #747141, the binary dependencies no
      longer need fixing;
    - specify the PE timestamp using the changelog's date;
    - don't link the arch-indep packages to gnat-mingw-w64-base;
    - document the differences between the Windows and POSIX threading
      variants;
    - ensure README.Debian is installed in gnat-mingw-w64-base;
    - sort macro_list reproducibly;
    - Lintian no longer complains about "tEH", so remove the override;
    - allow building the architecture-independent packages on their own;
    - build-depend on gcc 4.9.3 which includes the symtab fix;
    - ship executable DLLs.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Sep 2015 23:54:43 +0200
