=== debian/control ===
--- 
+++ 
@@ -4,13 +4,18 @@
 Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: autotools-dev,
-               binutils-mingw-w64 (>= 2.21.51.20110523),
+# Allow binutils-mingw-w64 2.25-8ubuntu<n>+6.2 or later,
+# or 2.25-8+6.2 or later, disallowing 2.25-8+6.1
+               binutils-mingw-w64-i686 (>= 2.25-8ubuntu1+6.2),
+               binutils-mingw-w64-i686 (<< 2.25-8v) | binutils-mingw-w64-i686 (>=2.25-8+6.2),
+               binutils-mingw-w64-x86-64 (>= 2.25-8ubuntu1+6.2),
+               binutils-mingw-w64-x86-64 (<< 2.25-8v) | binutils-mingw-w64-x86-64 (>=2.25-8+6.2),
                bison,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 9.20150501),
                flex,
-               g++-4.9,
-               gcc-4.9-source,
-               gnat-4.9,
+               g++-5,
+               gcc-5-source,
+               gnat-5,
                libcloog-isl-dev,
                libelf-dev,
                libgmp-dev,
@@ -28,7 +33,7 @@
 Package: gnat-mingw-w64
 Architecture: all
 Depends: gnat-mingw-w64-i686, gnat-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.9 (= ${gcc:Version})
+Built-Using: gcc-5 (= ${gcc:Version})
 Description: GNU Ada compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -42,10 +47,10 @@
 Depends: gcc-mingw-w64-i686 (>= ${local:Version}), gcc-mingw-w64-i686 (<< ${local:NextVersion}), gnat-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.9 (= ${gcc:Version})
+Built-Using: gcc-5 (= ${gcc:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.9-locales (>= ${local:Version})
+Suggests: gcc-5-locales (>= ${local:Version})
 Description: GNU Ada compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -59,10 +64,10 @@
 Depends: gcc-mingw-w64-x86-64 (>= ${local:Version}), gcc-mingw-w64-x86-64 (<< ${local:NextVersion}), gnat-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.9 (= ${gcc:Version})
+Built-Using: gcc-5 (= ${gcc:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.9-locales (>= ${local:Version})
+Suggests: gcc-5-locales (>= ${local:Version})
 Description: GNU Ada compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -74,7 +79,7 @@
 Package: gnat-mingw-w64-base
 Architecture: any
 Depends: ${misc:Depends}
-Built-Using: gcc-4.9 (= ${gcc:Version})
+Built-Using: gcc-5 (= ${gcc:Version})
 Description: GNU Ada compiler for MinGW-w64 (base package)
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
