=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gnat-mingw-w64 using gcc-4.9-source.
-# Copyright © 2010-2014 Stephen Kitt <skitt@debian.org>
+# Build gnat-mingw-w64 using gcc-5-source.
+# Copyright © 2010-2015 Stephen Kitt <skitt@debian.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-target_version := 4.9
+target_version := 5
 
 top_dir := $(shell pwd)
 gcc_dir := /usr/src/gcc-$(target_version)
@@ -61,7 +61,8 @@
 FFLAGS = $(shell $(dpkg_buildflags) --get FFLAGS)
 LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
-export CC CXX CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS
+LDFLAGS_FOR_TARGET = $(LDFLAGS) -Xlinker --insert-timestamp=$(shell date -d "$(shell dpkg-parsechangelog -S Date)" +%s)
+export CC CXX CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS LDFLAGS_FOR_TARGET
 
 # Number of jobs to run for build
 ifeq ($(USE_NJOBS),no)
@@ -102,8 +103,9 @@
 	mv gcc-* $(upstream_dir)
 	# Apply our extra patches here...
 	# We can't use a separate target for this because the patches
-	# need to be applied before gcc-4.9-source's
+	# need to be applied before gcc-5-source's
 	patch -p0 < debian/patches/disable-multilib.patch
+	patch -p2 -d$(upstream_dir) < debian/patches/reproducible-sort.patch
 	mkdir -p $(stampdir)
 	touch $@
 
@@ -154,15 +156,18 @@
 	--target=$$target \
 	--with-as=/usr/bin/$$target-as \
 	--with-ld=/usr/bin/$$target-ld
+# Disable libatomic
+CONFFLAGS += \
+	--disable-libatomic
 
 # Patches applied or unapplied after the upstream sources have been
-# unpacked and patched using the gcc-4.9-source package's patches
+# unpacked and patched using the gcc-5-source package's patches
 mingw-w64-patch: mingw-w64-patch-stamp
 mingw-w64-patch-stamp: $(patch_stamp)
 	# Remove the patch building libstdc++_pic.a before configuring
 	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
 	# Spelling fixes
-	patch -p1 -d$(upstream_dir) < debian/patches/spelling-fixes-code.patch
+#	patch -p1 -d$(upstream_dir) < debian/patches/spelling-fixes-code.patch
 	touch $@
 
 configure: configure-stamp
@@ -174,7 +179,7 @@
 	echo ======================================================================
 	for target in $(targets); do \
 		for threads in $(threads); do \
-			echo $(target_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
+			echo $(base_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
 			dh_auto_configure \
 				-B$(build_dir)/$$target-$$threads \
 				-D$(upstream_dir) -- \
@@ -190,14 +195,14 @@
 	set -e; \
 	for target in $(targets); do \
 		for threads in $(threads); do \
-			echo $(target_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
+			echo $(base_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
 			cd $(build_dir)/$$target-$$threads && \
 			$(MAKE) $(NJOBS) $(BUILD_TARGET); \
 		done; \
 	done
 	touch $@
 build-indep: build-indep-stamp
-build-indep-stamp:
+build-indep-stamp: configure-stamp
 	touch $@
 
 install-arch: install-arch-stamp
@@ -210,7 +215,7 @@
 	set -e; \
 	for target in $(targets); do \
 		for threads in $(threads); do \
-			echo $(target_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
+			echo $(base_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
 			cd $(build_dir)/$$target-$$threads && \
 			$(MAKE) DESTDIR=$(top_dir)/debian/tmp $(INSTALL_TARGET); \
 			if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a ]; then \
@@ -228,12 +233,3 @@
 	# binutils-dev
 	rm -f $(top_dir)/debian/tmp/usr/lib/libiberty.a
 	# libstdc++6-$(target_version)-dbg (potentially)
-	rm -rf $(top_dir)/debian/tmp/usr/share/gcc-*/python
-	# -doc packages
-	rm -rf $(top_dir)/debian/tmp/usr/share/info
-	rm -rf $(top_dir)/debian/tmp/usr/share/man/man7
-
-	# No need to ship empty manpages
-	rm -rf $(top_dir)/debian/tmp/usr/share/man/man1
-
-	# Drop .la files
