=== debian/watch ===
version=3
http://ftp.debian.org/debian/pool/main/g/gcc-5/gcc-5_(.*)\.orig\.tar\.gz
