## gnat-mingw-w64 19.1

=== debian/changelog ===
gnat-mingw-w64 (19.1) unstable; urgency=medium

  * Merge changes up to gcc-mingw-w64 19.1:
    - build with gcc-6;
    - remove obsolete hardening overrides;
    - disable package mangling in Launchpad;
    - build-depend on libisl-dev instead of libcloog-isl-dev (Closes:
      #833579);
    - use a token for the GCC version in debian/control.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Aug 2016 17:33:15 +0200

gnat-mingw-w64 (18) unstable; urgency=medium

  * Merge changes up to gcc-mingw-w64 18:
    - switch to https: VCS URIs;
    - rebuild with binutils-mingw-w64 6.6;
    - fix the spelling mistakes flagged by Lintian;
    - clean up debian/control with cme;
    - switch to debhelper compatibility level 9;
    - enable hardening for host binaries (except PIE which breaks the
      build).
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Jun 2016 23:56:34 +0200
