=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gnat-mingw-w64 using gcc-5-source.
-# Copyright © 2010-2015 Stephen Kitt <skitt@debian.org>
+# Build gnat-mingw-w64 using gcc-6-source.
+# Copyright © 2010-2016 Stephen Kitt <skitt@debian.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-target_version := 5
+# Disable package mangling in Launchpad; it currently fails to parse
+# Built-Using, which results in build failures
+export NO_PKG_MANGLE=1
+
+target_version := 6
 
 top_dir := $(shell pwd)
 gcc_dir := /usr/src/gcc-$(target_version)
@@ -40,29 +44,61 @@
   first_split_version := 4.6.3-1ubuntu5+5ubuntu1
 endif
 
-# Include the rules variant - symlink rules.bootstrap to produce the
-# minimal gcc required to build mingw-w64, or rules.full to produce
-# the full gcc.
-include debian/rules.variant
+# Build the full GCC.
+package := gnat-mingw-w64
+languages := ada
+BUILD_TARGET :=
+INSTALL_TARGET := install
+
+comma := ,
+space :=
+space +=
+control: control-stamp
+control-stamp:
+	echo \# This file is generated using debian/rules control, do not edit > debian/control
+	cat debian/control.source >> debian/control
+	for language in $(subst $(comma),$(space),$(languages)); do \
+		echo >> debian/control; \
+		sed -f debian/control.$$language.sed debian/control.template >> debian/control; \
+	done
+	echo >> debian/control
+	cat debian/control.base >> debian/control
+	sed -i '/^Recommends: $$/d' debian/control
+	sed -i '/^Breaks: $$/d' debian/control
+	sed -i '/^Conflicts: $$/d' debian/control
+	sed -i '/^Replaces: $$/d' debian/control
+	sed -i 's/@@VERSION@@/$(target_version)/g' debian/control
+	touch $@
 
 targets := i686-w64-mingw32 x86_64-w64-mingw32
 threads := posix win32
 
-# No hardening support for now
-dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
+# Hardening on the host, none on the target
+# Format and PIE fail the build currently
+dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format,-pie" dpkg-buildflags
+dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
 
 CC = gcc-$(target_version)
 CXX = g++-$(target_version)
-CFLAGS = $(shell $(dpkg_buildflags) --get CFLAGS)
+CFLAGS = $(shell $(dpkg_buildflags_host) --get CFLAGS)
 CFLAGS += -Wall
-CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
-CXXFLAGS = $(shell $(dpkg_buildflags) --get CXXFLAGS)
+CFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get CFLAGS)
+CFLAGS_FOR_TARGET += -Wall
+CPPFLAGS = $(shell $(dpkg_buildflags_host) --get CPPFLAGS)
+CPPFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get CPPFLAGS)
+CXXFLAGS = $(shell $(dpkg_buildflags_host) --get CXXFLAGS)
 CXXFLAGS += -Wall
-FFLAGS = $(shell $(dpkg_buildflags) --get FFLAGS)
-LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
+CXXFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get CXXFLAGS)
+CXXFLAGS_FOR_TARGET += -Wall
+FFLAGS = $(shell $(dpkg_buildflags_host) --get FFLAGS)
+FFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get FFLAGS)
+LDFLAGS = $(shell $(dpkg_buildflags_host) --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
-LDFLAGS_FOR_TARGET = $(LDFLAGS) -Xlinker --insert-timestamp=$(shell date -d "$(shell dpkg-parsechangelog -S Date)" +%s)
-export CC CXX CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS LDFLAGS_FOR_TARGET
+LDFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get LDFLAGS)
+LDFLAGS_FOR_TARGET += -Wl,--as-needed
+LDFLAGS_FOR_TARGET = -Xlinker --insert-timestamp=$(shell date -d "$(shell dpkg-parsechangelog -S Date)" +%s)
+export CC CXX CFLAGS CFLAGS_FOR_TARGET CPPFLAGS CPPFLAGS_FOR_TARGET
+export CXXFLAGS CXXFLAGS_FOR_TARGET FFLAGS FFLAGS_FOR_TARGET LDFLAGS LDFLAGS_FOR_TARGET
 
 # Number of jobs to run for build
 ifeq ($(USE_NJOBS),no)
@@ -103,7 +139,7 @@
 	mv gcc-* $(upstream_dir)
 	# Apply our extra patches here...
 	# We can't use a separate target for this because the patches
-	# need to be applied before gcc-5-source's
+	# need to be applied before gcc-6-source's
 	patch -p0 < debian/patches/disable-multilib.patch
 	patch -p2 -d$(upstream_dir) < debian/patches/reproducible-sort.patch
 	mkdir -p $(stampdir)
@@ -160,76 +196,28 @@
 CONFFLAGS += \
 	--disable-libatomic
 
+spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
+
 # Patches applied or unapplied after the upstream sources have been
-# unpacked and patched using the gcc-5-source package's patches
+# unpacked and patched using the gcc-6-source package's patches
 mingw-w64-patch: mingw-w64-patch-stamp
 mingw-w64-patch-stamp: $(patch_stamp)
 	# Remove the patch building libstdc++_pic.a before configuring
 	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
 	# Spelling fixes
-#	patch -p1 -d$(upstream_dir) < debian/patches/spelling-fixes-code.patch
-	touch $@
-
-configure: configure-stamp
-configure-stamp: control-stamp mingw-w64-patch-stamp
-	dh_testdir
-	set -e; \
-	echo ============= Building with the following debian/control =============
-	cat debian/control
-	echo ======================================================================
-	for target in $(targets); do \
-		for threads in $(threads); do \
-			echo $(base_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
-			dh_auto_configure \
-				-B$(build_dir)/$$target-$$threads \
-				-D$(upstream_dir) -- \
-				$(CONFFLAGS); \
-		done; \
-	done
-	touch $@
-
-build: build-arch build-indep
-build-arch: build-arch-stamp
-build-arch-stamp: configure-stamp
-	dh_testdir
-	set -e; \
-	for target in $(targets); do \
-		for threads in $(threads); do \
-			echo $(base_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
-			cd $(build_dir)/$$target-$$threads && \
-			$(MAKE) $(NJOBS) $(BUILD_TARGET); \
-		done; \
-	done
-	touch $@
-build-indep: build-indep-stamp
-build-indep-stamp: configure-stamp
-	touch $@
-
-install-arch: install-arch-stamp
-install-arch-stamp: build-arch-stamp
-	dh_testdir
-	dh_testroot
-	dh_prep
-
-# Base installation, move misplaced DLLs and libraries
-	set -e; \
-	for target in $(targets); do \
-		for threads in $(threads); do \
-			echo $(base_version)-$$threads > $(upstream_dir)/gcc/BASE-VER && \
-			cd $(build_dir)/$$target-$$threads && \
-			$(MAKE) DESTDIR=$(top_dir)/debian/tmp $(INSTALL_TARGET); \
-			if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a ]; then \
-				mv $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a $(top_dir)/debian/tmp/usr/lib/gcc/$$target/$(base_version)-$$threads/; \
-			fi; \
-			if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/*.dll ]; then \
-				mv $(top_dir)/debian/tmp/usr/lib/gcc/$$target/*.dll $(top_dir)/debian/tmp/usr/lib/gcc/$$target/$(base_version)-$$threads/; \
-			fi; \
-		done; \
-	done
-
-	# Remove files which conflict with other packages
-	# gcc-$(target_version)-locales
-	rm -rf $(top_dir)/debian/tmp/usr/share/locale
-	# binutils-dev
-	rm -f $(top_dir)/debian/tmp/usr/lib/libiberty.a
-	# libstdc++6-$(target_version)-dbg (potentially)
+	$(call spelling,adress,address)
+	$(call spelling,Allow to,Allow one to)
+	$(call spelling,Choosen,Chosen)
+	$(call spelling,containg,containing)
+	$(call spelling,endianess,endianness)
+	$(call spelling,eroneous,erroneous)
+	$(call spelling,informations,information)
+	$(call spelling,intial,initial)
+	$(call spelling,intrument,instrument)
+	$(call spelling,invokations,invocations)
+	$(call spelling,occured,occurred)
+	$(call spelling,refrence,reference)
+	$(call spelling,splitted,split)
+	$(call spelling,Staticly,Statically)
+	$(call spelling,wihout,without)
+	# Force /bin/sh in mkheaders
